%define upstream_name    XML-Amazon
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for getting information from Amazon
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
XML::Amazon provides a simple way to get information from Amazon.
_XML::Amazon_ can connect to US, JP, UK, FR, DE and CA.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README

%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.140.0-3.mga10
+ Revision: 2206514
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.140.0-2.mga9
+ Revision: 1813419
- Mageia 9 Mass Rebuild

* Sun Oct 18 2020 tv <tv> 0.140.0-1.mga8
+ Revision: 1636782
- update to 0.14

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-4.mga8
+ Revision: 1498326
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-3.mga7
+ Revision: 1272743
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-2.mga6
+ Revision: 1035886
- Rebuild for perl 5.22.2

* Thu Apr 14 2016 shlomif <shlomif> 0.130.0-1.mga6
+ Revision: 1001381
- update to 0.13

* Fri Feb 05 2016 umeabot <umeabot> 0.120.0-6.mga6
+ Revision: 938893
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 743352
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 686894
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 516080
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 374933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 20 2011 shlomif <shlomif> 0.120.0-1.mga2
+ Revision: 184782
- imported package perl-XML-Amazon


* Thu Dec 01 2011 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
